<?php
/**
 * @since ningxia 1.0.0
 */

get_header();
?>
<?php $static = ningxia_get_theme_option( 'static' ); ?>
<div id="content">
	<div class="container">
		<div id="main">
			<div class="section archive">
				<?php if(have_posts()) : ?><?php while(have_posts()) : the_post();  ningxia_update_years(); ?>
				<article class="post">
					<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'ningxia' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
					<div class="infometa author">
						<?php the_time( get_option( 'date_format' )); ?>
						<?php if ( $static != "on" ) : ?>
							<span class="seprator">/</span>
							<?php comments_popup_link(); ?>
						<?php endif; ?>
					</div>
					<div class="download">
						<?php echo do_shortcode( '[video mp4=' . wp_get_attachment_url( $post->ID ) . ']' ); ?>
					</div>
					<h3>Video Metadata</h3>
					<dl>
						<?php
							$alttext = get_post_meta($post->ID, '_wp_attachment_image_alt', true);
							$caption = get_the_excerpt();
							$descrip = get_the_content();
							if( is_string( $alttext ) && $alttext !== '') {
								echo "<dt>Alt Text</dt><dd>" . $alttext . "</dd>";
							}
							if( is_string( $caption ) && $caption !== '' && trim(strip_tags($descrip)) !== trim(strip_tags($caption)) ) {
								echo "<dt>Caption</dt><dd>"; the_excerpt(); echo "</dd>";
							}
							if( is_string( $descrip ) && $descrip !== '' ) {
								echo "<dt>Description</dt><dd>"; the_content(); echo "</dd>";
							}
							$terms = get_the_terms( $post->ID, 'attachment_tag' );
							if ( $terms && ! is_wp_error( $terms ) ) {
								$mine = false;
								foreach ( $terms as $term ) {
									if ( $term->name == 'sole-copyright-owner-me' ) {
										$mine = true;
									}
								}
								echo "<dt>Copyright status</dt><dd>";
								if ( $mine ) {
									$publish = (int)get_the_date( 'Y' );
									echo "<p>© David Vines " .  $publish . ".";
									$terms = array_filter( $terms, function( $v ) { return $v->name !== 'sole-copyright-owner-me'; });
									$prefix = "You can use this video if you abide by the terms of the ";
								} else {
									$prefix = "This video is used under the terms of the ";
								}
								$licenseString = "This file is licensed under the ";
								foreach ( $terms as $term ) {
									echo "<p>";

									if ( substr( $term->description, 0, strlen( $licenseString ) ) === $licenseString ) {
										echo $prefix . substr( $term->description, strlen( $licenseString ));
									} else {
										echo $term->description ;
									}
									echo "</p>";
								}
								echo "</dd>";
							}
						?>
					</dl>
				</article>
				<?php endwhile;endif; ?>
				<div class="clear"></div>
				<?php comments_template(); ?>
			</div><!-- section entry -->
			<div class="page_navi">
				<?php ningxia_paging_nav(); ?>
			</div><!-- page navi -->
		</div><!-- main -->
		<div id="minisidebar" class="col minisidebar">
			<?php get_sidebar('left'); ?>
		</div>
	</div>
</div><!-- content -->
<div id="sidebar">
	<?php get_sidebar(); ?>
</div><!-- sidebar -->
<div class="clear"></div>
<?php	get_footer(); ?>